# Created by and for Qt Creator This file was created for editing the project sources only.
# You may attempt to use it for building too, by modifying this file here.

cmake_minimum_required(VERSION 3.5)
project(hkstreamer)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)


include_directories(
    include,
    nlohmann
)

link_directories(
lib/
)


set (SRCS
    include/DataType.h
    include/DecodeCardSdk.h
    include/HCNetSDK.h
    include/HkStreamer.h
    include/plaympeg4.h
    include/cmdlineparser.h
    include/convert.h
    nlohmann/json.hpp
    src/convert.cpp
    src/HkStreamer.cpp
    src/main.cpp
    src/cmdlineparser.cpp
)

add_executable(${CMAKE_PROJECT_NAME} ${SRCS})

target_link_libraries(${CMAKE_PROJECT_NAME} libhcnetsdk.so)
target_link_libraries(${CMAKE_PROJECT_NAME} libhpr.so)
